Content analytics

Each platform's posts, gains and share of views

GET/api/public/v1/content/top_platforms
LiveAnswers from your brand's records now.

Operation id getContentTopPlatforms

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/top_platforms" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter

Responses

200Success

FieldTypeNotes
dataobject
data.itemsarray of object
data.items[].[].metricsobject
data.items[].[].metrics.commentsinteger
data.items[].[].metrics.engagement_ratenumber
data.items[].[].metrics.likesinteger
data.items[].[].metrics.savesinteger
data.items[].[].metrics.sharesinteger
data.items[].[].metrics.viewsinteger
data.items[].[].platformstring
data.items[].[].postsinteger
data.items[].[].share_of_viewsnumber
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "items": [
      {
        "metrics": {
          "comments": 3,
          "engagement_rate": 0.15,
          "likes": 3,
          "saves": 3,
          "shares": 3,
          "views": 3
        },
        "platform": "string",
        "posts": 3,
        "share_of_views": 125.5
      }
    ]
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.